#pragma once
#include "Entity.h"
class MenuTextKeyboard :
    public Entity
{
public:
    virtual InputSetting_Keyboard* GetInputSetting() = 0;
    virtual SDL_Scancode* GetBind(InputSetting_Keyboard* setting) = 0;
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
protected:
    std::vector<wchar_t> name;
    int stateID = 0;
    std::weak_ptr<Entity> icon;
};

